# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "messaging-tenants"
version = "0.4.17"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Greentic messaging package: messaging tenants."
homepage = "https://github.com/greentic-ai/greentic-messaging"
readme = "README.md"
license = "MIT"
repository = "https://github.com/greentic-ai/greentic-messaging"
resolver = "2"

[[bin]]
name = "messaging-tenants"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.clap]
version = "4"
features = [
    "derive",
    "derive",
    "env",
]

[dependencies.tokio]
version = "1"
features = [
    "rt-multi-thread",
    "macros",
    "sync",
    "time",
    "fs",
    "io-util",
    "sync",
    "macros",
    "process",
]
